> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Действия с изображением

> Используйте Midjourney изображение действия API, чтобы выполнять увеличение разрешения, вариация, повторный запуск и другие последующие операции на основе уже сгенерированных изображений Midjourney.



## OpenAPI

````yaml openapi/ru/midjourney.json POST /midjourney/v1/action
openapi: 3.1.0
info:
  title: Документация TTAPI API
  version: 1.0.0
  description: Midjourney Интерфейсы, связанные с созданием изображений
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /midjourney/v1/action:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActionRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    ActionRequest:
      type: object
      properties:
        jobId:
          type: string
          description: ID задач
        action:
          type: string
          example: upsample1
          description: 'Тип операции задачи, например: upsample1 = U1, variation1 = V1'
        timeout:
          type: integer
          example: '300'
          description: 'Таймаут задачи, единица: секунды, диапазон 300 - 1200'
        hookUrl:
          type: string
          description: URL обратного уведомления
      required:
        - jobId
        - action
  responses:
    SuccessResponse:
      description: Запрос выполнен успешно
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
            required:
              - status
              - message
              - data
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````